%bcond_without doc

Name:		doxygen
Version:	1.5.6
Release:	%mkrel 1
Epoch:		1
Summary:	Doxygen is THE documentation system for C/C++
Group:		Development/Other
License:	GPL
URL:		http://www.stack.nl/~dimitri/doxygen/
Source0:	ftp://ftp.stack.nl/pub/users/dimitri/%{name}-%{version}.src.tar.bz2
Patch0:		doxygen-1.2.12-fix-latex.patch
Patch1:		doxygen-1.5.2-syspng.patch
BuildRequires:  bison
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:  png-devel
BuildRequires:  qt3-devel
BuildRequires:	X11-devel
%if %with doc
BuildRequires:	tetex-latex
BuildRequires:	ghostscript python
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Doxygen is a documentation system for C, C++ and IDL. It can generate
an on-line class browser (in HTML) and/or an off-line reference manual
(in LaTeX) from a set of documented source files. There is also
support for generating man lpages and for converting the generated
output into Postscript, hyperlinked PDF or compressed HTML. The
documentation is extracted directly from the sources.

Doxygen can also be configured to extract the code-structure from
undocumented source files. This can be very useful to quickly find
your way in large source distributions.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .syspng
%{__perl} -pi -e "s|^TMAKE_CFLAGS_RELEASE.*|TMAKE_CFLAGS_RELEASE = %{optflags}|" tmake/lib/linux-g++/tmake.conf
%{__perl} -pi -e "s|/lib$|/%{_lib}|" tmake/lib/linux-g++/tmake.conf
# always use threaded version of qt
%{__perl} -pi -e 's/^f_thread=NO/f_thread=YES/' configure
# XXX configure is going to fail if both 32-bit and 64-bit qt3-devel
# are installed
find -type d -exec %{__chmod} 0755 {} \;
# build with system libpng
%{__rm} -rf libpng

%build
./configure --with-doxywizard

%make
%if %with doc
%{__make} docs
%{__mv} doc/float.sty latex
%{__mv} doc/fancyhdr.sty latex
%{__make} pdf
mkdir pdf
%{__mv} latex/doxygen_manual.pdf pdf
%endif

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -s bin/doxy* %{buildroot}%{_bindir}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%if %with doc
%doc html examples pdf
%endif
%doc README
%{_bindir}/doxygen
%{_bindir}/doxytag
%{_bindir}/doxywizard


%changelog
* Sun May 18 2008 David Walluck <walluck@mandriva.org> 1:1.5.6-1mdv2009.0
+ Revision: 208769
- BuildRequires: bison
- use %%bcond_without for doc building

  + Funda Wang <fundawang@mandriva.org>
    - update to new version 1.5.6

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:1.5.5-2mdv2008.1
+ Revision: 170799
- rebuild

* Sun Feb 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.5.5-1mdv2008.1
+ Revision: 164911
- update to new version 1.5.5

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Sat Oct 27 2007 Funda Wang <fundawang@mandriva.org> 1:1.5.4-1mdv2008.1
+ Revision: 102546
- New version 1.5.4

* Fri Jul 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.5.3-1mdv2008.0
+ Revision: 56340
- new version

* Fri Apr 20 2007 Olivier Blin <oblin@mandriva.com> 1:1.5.2-1mdv2008.0
+ Revision: 16098
- use system libpng
- remove support for obsolete distros
- 1.5.2


* Tue Feb 13 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1:1.5.1-2mdv2007.1
+ Revision: 120646
- fix build on lib64 platforms

* Mon Oct 30 2006 David Walluck <walluck@mandriva.org> 1:1.5.1-1mdv2007.1
+ Revision: 73689
- 1.5.1

* Thu Oct 19 2006 David Walluck <walluck@mandriva.org> 1:1.5.0-4mdv2007.1
+ Revision: 66439
- bump release
- always use threaded version of qt
- set QTDIR on x86_64
- bump release
- fix build on i586
- 1.5.0

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Helio Chissini de Castro <helio@mandriva.com>
    - Uploading package ./doxygen

* Thu Dec 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.9.1-1mdk
- 1.3.9.1
- drop P1 (fixed upstream)
- wipe out buildroot before installing

* Sat Sep 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.7-4mdk
- use mdkversion

* Fri Jun 04 2004 Laurent Montel <lmontel@mandrakesoft.com> 1.3.7-3mdk
- Rebuild against libstc++

* Sat May 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.7-2mdk
- fix buildrequires
- don't ship LICENSE, it's gpl..
- cosmetics

* Sat May 15 2004 Michael Scherer <misc@mandrake.org> 1.3.7-1mdk
- New release 1.3.7
- remove Packager

